//[kakao](../../../index.md)/[io.github.kakaocup.kakao.common.assertions](../index.md)/[BaseAssertions](index.md)



# BaseAssertions  
 [androidJvm] interface [BaseAssertions](index.md)

Base interface for asserting views



Provides basic assertions that can be performed on any view

   


## See also  
  
androidJvm  
  
| | |
|---|---|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>[io.github.kakaocup.kakao.text.TextViewAssertions](../../io.github.kakaocup.kakao.text/-text-view-assertions/index.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>[io.github.kakaocup.kakao.check.CheckableAssertions](../../io.github.kakaocup.kakao.check/-checkable-assertions/index.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>[io.github.kakaocup.kakao.pager.ViewPagerAssertions](../../io.github.kakaocup.kakao.pager/-view-pager-assertions/index.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>[io.github.kakaocup.kakao.image.ImageViewAssertions](../../io.github.kakaocup.kakao.image/-image-view-assertions/index.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions///PointingToDeclaration/"></a>|
  


## Functions  
  
|  Name |  Summary | 
|---|---|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/assert/#kotlin.Function0[androidx.test.espresso.ViewAssertion]/PointingToDeclaration/"></a>[assert](assert.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/assert/#kotlin.Function0[androidx.test.espresso.ViewAssertion]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [assert](assert.md)(function: () -> ViewAssertion)  <br>More info  <br>Check the view with the given custom assertion  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/doesNotExist/#/PointingToDeclaration/"></a>[doesNotExist](does-not-exist.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/doesNotExist/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [doesNotExist](does-not-exist.md)()  <br>More info  <br>Checks if the matched view does not exist  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasAnyTag/#kotlin.Array[kotlin.String]/PointingToDeclaration/"></a>[hasAnyTag](has-any-tag.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasAnyTag/#kotlin.Array[kotlin.String]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasAnyTag](has-any-tag.md)(vararg tags: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Checks if the view has at least one of the given tags  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasBackgroundColor/#kotlin.Int/PointingToDeclaration/"></a>[hasBackgroundColor](has-background-color.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasBackgroundColor/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasBackgroundColor](has-background-color.md)(@[ColorRes](https://developer.android.com/reference/kotlin/androidx/annotation/ColorRes.html)()resId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>open fun [hasBackgroundColor](has-background-color.md)(colorCode: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Checks if the view has given background color  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasDescendant](has-descendant.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasDescendant](has-descendant.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has given descendant  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasNotDescendant](has-not-descendant.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasNotDescendant](has-not-descendant.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has not given descendant  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasNotSibling](has-not-sibling.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasNotSibling](has-not-sibling.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has not given sibling  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasSibling](has-sibling.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasSibling](has-sibling.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has given sibling  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasTag/#kotlin.String/PointingToDeclaration/"></a>[hasTag](has-tag.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasTag/#kotlin.String/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasTag](has-tag.md)(tag: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Checks if the view has given tag  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/inRoot/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.RootBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[inRoot](in-root.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/inRoot/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.RootBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [inRoot](in-root.md)(function: [RootBuilder](../../io.github.kakaocup.kakao.common.builders/-root-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Check if the view is in given root  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isClickable/#/PointingToDeclaration/"></a>[isClickable](is-clickable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isClickable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isClickable](is-clickable.md)()  <br>More info  <br>Checks if the view is clickable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyAbove/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyAbove](is-completely-above.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyAbove/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyAbove](is-completely-above.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely above of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyBelow/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyBelow](is-completely-below.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyBelow/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyBelow](is-completely-below.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely below of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyDisplayed/#/PointingToDeclaration/"></a>[isCompletelyDisplayed](is-completely-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyDisplayed](is-completely-displayed.md)()  <br>More info  <br>Checks if the view is completely displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyLeftOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyLeftOf](is-completely-left-of.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyLeftOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyLeftOf](is-completely-left-of.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely right of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyRightOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyRightOf](is-completely-right-of.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyRightOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyRightOf](is-completely-right-of.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely right of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisabled/#/PointingToDeclaration/"></a>[isDisabled](is-disabled.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisabled/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isDisabled](is-disabled.md)()  <br>More info  <br>Checks if the view is disabled  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisplayed/#/PointingToDeclaration/"></a>[isDisplayed](is-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isDisplayed](is-displayed.md)()  <br>More info  <br>Checks if the view is displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isEnabled/#/PointingToDeclaration/"></a>[isEnabled](is-enabled.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isEnabled/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isEnabled](is-enabled.md)()  <br>More info  <br>Checks if the view is enabled  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocusable/#/PointingToDeclaration/"></a>[isFocusable](is-focusable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocusable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isFocusable](is-focusable.md)()  <br>More info  <br>Checks if the view is focusable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocused/#/PointingToDeclaration/"></a>[isFocused](is-focused.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocused/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isFocused](is-focused.md)()  <br>More info  <br>Checks if the view is focused  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isGone/#/PointingToDeclaration/"></a>[isGone](is-gone.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isGone/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isGone](is-gone.md)()  <br>More info  <br>Checks if the view has GONE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isInvisible/#/PointingToDeclaration/"></a>[isInvisible](is-invisible.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isInvisible/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isInvisible](is-invisible.md)()  <br>More info  <br>Checks if the view has INVISIBLE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotClickable/#/PointingToDeclaration/"></a>[isNotClickable](is-not-clickable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotClickable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotClickable](is-not-clickable.md)()  <br>More info  <br>Checks if the view is not clickable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotCompletelyDisplayed/#/PointingToDeclaration/"></a>[isNotCompletelyDisplayed](is-not-completely-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotCompletelyDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotCompletelyDisplayed](is-not-completely-displayed.md)()  <br>More info  <br>Checks if the view is not completely displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotDisplayed/#/PointingToDeclaration/"></a>[isNotDisplayed](is-not-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotDisplayed](is-not-displayed.md)()  <br>More info  <br>Checks if the view is not displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocusable/#/PointingToDeclaration/"></a>[isNotFocusable](is-not-focusable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocusable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotFocusable](is-not-focusable.md)()  <br>More info  <br>Checks if the view is not focusable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocused/#/PointingToDeclaration/"></a>[isNotFocused](is-not-focused.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocused/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotFocused](is-not-focused.md)()  <br>More info  <br>Checks if the view is not focused  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotSelected/#/PointingToDeclaration/"></a>[isNotSelected](is-not-selected.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotSelected/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotSelected](is-not-selected.md)()  <br>More info  <br>Checks if the view is not selected  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isSelected/#/PointingToDeclaration/"></a>[isSelected](is-selected.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isSelected/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isSelected](is-selected.md)()  <br>More info  <br>Checks if the view is selected  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isVisible/#/PointingToDeclaration/"></a>[isVisible](is-visible.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isVisible/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isVisible](is-visible.md)()  <br>More info  <br>Checks if the view has VISIBLE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/matches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[matches](matches.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/matches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [matches](matches.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Check if the view matches given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/notMatches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[notMatches](not-matches.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/notMatches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [notMatches](not-matches.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Check if the view does not match given matcher  <br><br><br>|


## Properties  
  
|  Name |  Summary | 
|---|---|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/root/#/PointingToDeclaration/"></a>[root](root.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/root/#/PointingToDeclaration/"></a> [androidJvm] abstract var [root](root.md): Matcher<Root>   <br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/view/#/PointingToDeclaration/"></a>[view](view.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/view/#/PointingToDeclaration/"></a> [androidJvm] abstract val [view](view.md): [ViewInteractionDelegate](../../io.github.kakaocup.kakao.delegate/-view-interaction-delegate/index.md)   <br>|


## Inheritors  
  
|  Name | 
|---|
| <a name="io.github.kakaocup.kakao.bottomnav/BottomNavigationViewAssertions///PointingToDeclaration/"></a>[BottomNavigationViewAssertions](../../io.github.kakaocup.kakao.bottomnav/-bottom-navigation-view-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.check/CheckableAssertions///PointingToDeclaration/"></a>[CheckableAssertions](../../io.github.kakaocup.kakao.check/-checkable-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.chipgroup/ChipGroupAssertions///PointingToDeclaration/"></a>[ChipGroupAssertions](../../io.github.kakaocup.kakao.chipgroup/-chip-group-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView///PointingToDeclaration/"></a>[KBaseView](../../io.github.kakaocup.kakao.common.views/-k-base-view/index.md)|
| <a name="io.github.kakaocup.kakao.edit/TextInputLayoutAssertions///PointingToDeclaration/"></a>[TextInputLayoutAssertions](../../io.github.kakaocup.kakao.edit/-text-input-layout-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.image/ImageViewAssertions///PointingToDeclaration/"></a>[ImageViewAssertions](../../io.github.kakaocup.kakao.image/-image-view-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.list/KAbsListView///PointingToDeclaration/"></a>[KAbsListView](../../io.github.kakaocup.kakao.list/-k-abs-list-view/index.md)|
| <a name="io.github.kakaocup.kakao.list/KAdapterItem///PointingToDeclaration/"></a>[KAdapterItem](../../io.github.kakaocup.kakao.list/-k-adapter-item/index.md)|
| <a name="io.github.kakaocup.kakao.navigation/NavigationViewAssertions///PointingToDeclaration/"></a>[NavigationViewAssertions](../../io.github.kakaocup.kakao.navigation/-navigation-view-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.pager/ViewPagerAssertions///PointingToDeclaration/"></a>[ViewPagerAssertions](../../io.github.kakaocup.kakao.pager/-view-pager-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.pager2/KViewPager2///PointingToDeclaration/"></a>[KViewPager2](../../io.github.kakaocup.kakao.pager2/-k-view-pager2/index.md)|
| <a name="io.github.kakaocup.kakao.pager2/KViewPagerItem///PointingToDeclaration/"></a>[KViewPagerItem](../../io.github.kakaocup.kakao.pager2/-k-view-pager-item/index.md)|
| <a name="io.github.kakaocup.kakao.progress/ProgressBarAssertions///PointingToDeclaration/"></a>[ProgressBarAssertions](../../io.github.kakaocup.kakao.progress/-progress-bar-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.rating/RatingBarAssertions///PointingToDeclaration/"></a>[RatingBarAssertions](../../io.github.kakaocup.kakao.rating/-rating-bar-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.recycler/KRecyclerItem///PointingToDeclaration/"></a>[KRecyclerItem](../../io.github.kakaocup.kakao.recycler/-k-recycler-item/index.md)|
| <a name="io.github.kakaocup.kakao.recycler/KRecyclerView///PointingToDeclaration/"></a>[KRecyclerView](../../io.github.kakaocup.kakao.recycler/-k-recycler-view/index.md)|
| <a name="io.github.kakaocup.kakao.scroll/KScrollView///PointingToDeclaration/"></a>[KScrollView](../../io.github.kakaocup.kakao.scroll/-k-scroll-view/index.md)|
| <a name="io.github.kakaocup.kakao.searchview/SearchViewAssertions///PointingToDeclaration/"></a>[SearchViewAssertions](../../io.github.kakaocup.kakao.searchview/-search-view-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.slider/SliderAssertions///PointingToDeclaration/"></a>[SliderAssertions](../../io.github.kakaocup.kakao.slider/-slider-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.spinner/KSpinner///PointingToDeclaration/"></a>[KSpinner](../../io.github.kakaocup.kakao.spinner/-k-spinner/index.md)|
| <a name="io.github.kakaocup.kakao.swiperefresh/SwipeRefreshLayoutAssertions///PointingToDeclaration/"></a>[SwipeRefreshLayoutAssertions](../../io.github.kakaocup.kakao.swiperefresh/-swipe-refresh-layout-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.tabs/TabLayoutAssertions///PointingToDeclaration/"></a>[TabLayoutAssertions](../../io.github.kakaocup.kakao.tabs/-tab-layout-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.text/TextViewAssertions///PointingToDeclaration/"></a>[TextViewAssertions](../../io.github.kakaocup.kakao.text/-text-view-assertions/index.md)|
| <a name="io.github.kakaocup.kakao.toolbar/ToolbarViewAssertions///PointingToDeclaration/"></a>[ToolbarViewAssertions](../../io.github.kakaocup.kakao.toolbar/-toolbar-view-assertions/index.md)|

