//[kakao](../../../index.md)/[io.github.kakaocup.kakao.common.views](../index.md)/[KBaseView](index.md)



# KBaseView  
 [androidJvm] open class [KBaseView](index.md)<out [T](index.md)> : [BaseActions](../../io.github.kakaocup.kakao.common.actions/-base-actions/index.md), [BaseAssertions](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/index.md), [Interceptable](../../io.github.kakaocup.kakao.intercept/-interceptable/index.md)<ViewInteraction, ViewAssertion, ViewAction> 

Base class for all Kakao views



This base class allows create new custom view with ease. All you have to do is to extend this class, implement all necessarily additional actions/assertions interfaces and override necessary constructors

   


## Parameters  
  
androidJvm  
  
| | |
|---|---|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView///PointingToDeclaration/"></a>T| <a name="io.github.kakaocup.kakao.common.views/KBaseView///PointingToDeclaration/"></a><br><br>Type of your custom view. Needs to be defined to enable invoke() and perform() for descendants<br><br>|
  


## Constructors  
  
| | |
|---|---|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/KBaseView/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[KBaseView](-k-base-view.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/KBaseView/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a> [androidJvm] fun [KBaseView](-k-base-view.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))Constructs view class with view interaction from given ViewBuilder   <br>|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/KBaseView/#org.hamcrest.Matcher[android.view.View]#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[KBaseView](-k-base-view.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/KBaseView/#org.hamcrest.Matcher[android.view.View]#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a> [androidJvm] fun [KBaseView](-k-base-view.md)(parent: Matcher<[View](https://developer.android.com/reference/kotlin/android/view/View.html)>, function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))Constructs view class with parent and view interaction from given ViewBuilder   <br>|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/KBaseView/#androidx.test.espresso.DataInteraction#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[KBaseView](-k-base-view.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/KBaseView/#androidx.test.espresso.DataInteraction#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a> [androidJvm] fun [KBaseView](-k-base-view.md)(parent: DataInteraction, function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))Constructs view class with parent and view interaction from given ViewBuilder   <br>|


## Functions  
  
|  Name |  Summary | 
|---|---|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/act/#kotlin.Function0[androidx.test.espresso.ViewAction]/PointingToDeclaration/"></a>[act](../../io.github.kakaocup.kakao.common.actions/-base-actions/act.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/act/#kotlin.Function0[androidx.test.espresso.ViewAction]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [act](../../io.github.kakaocup.kakao.common.actions/-base-actions/act.md)(function: () -> ViewAction)  <br>More info  <br>Performs custom action on a view  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/assert/#kotlin.Function0[androidx.test.espresso.ViewAssertion]/PointingToDeclaration/"></a>[assert](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/assert.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/assert/#kotlin.Function0[androidx.test.espresso.ViewAssertion]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [assert](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/assert.md)(function: () -> ViewAssertion)  <br>More info  <br>Check the view with the given custom assertion  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/click/#androidx.test.espresso.action.GeneralLocation/PointingToDeclaration/"></a>[click](../../io.github.kakaocup.kakao.common.actions/-base-actions/click.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/click/#androidx.test.espresso.action.GeneralLocation/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [click](../../io.github.kakaocup.kakao.common.actions/-base-actions/click.md)(location: GeneralLocation = GeneralLocation.VISIBLE_CENTER)  <br>More info  <br>Performs click on view  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/doesNotExist/#/PointingToDeclaration/"></a>[doesNotExist](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/does-not-exist.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/doesNotExist/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [doesNotExist](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/does-not-exist.md)()  <br>More info  <br>Checks if the matched view does not exist  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/doubleClick/#androidx.test.espresso.action.GeneralLocation/PointingToDeclaration/"></a>[doubleClick](../../io.github.kakaocup.kakao.common.actions/-base-actions/double-click.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/doubleClick/#androidx.test.espresso.action.GeneralLocation/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [doubleClick](../../io.github.kakaocup.kakao.common.actions/-base-actions/double-click.md)(location: GeneralLocation = GeneralLocation.VISIBLE_CENTER)  <br>More info  <br>Performs double click on view  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasAnyTag/#kotlin.Array[kotlin.String]/PointingToDeclaration/"></a>[hasAnyTag](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-any-tag.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasAnyTag/#kotlin.Array[kotlin.String]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasAnyTag](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-any-tag.md)(vararg tags: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Checks if the view has at least one of the given tags  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasBackgroundColor/#kotlin.Int/PointingToDeclaration/"></a>[hasBackgroundColor](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-background-color.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasBackgroundColor/#kotlin.Int/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasBackgroundColor](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-background-color.md)(@[ColorRes](https://developer.android.com/reference/kotlin/androidx/annotation/ColorRes.html)()resId: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html))  <br>open fun [hasBackgroundColor](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-background-color.md)(colorCode: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Checks if the view has given background color  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasDescendant](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-descendant.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasDescendant](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-descendant.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has given descendant  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasNotDescendant](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-not-descendant.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotDescendant/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasNotDescendant](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-not-descendant.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has not given descendant  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasNotSibling](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-not-sibling.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasNotSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasNotSibling](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-not-sibling.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has not given sibling  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[hasSibling](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-sibling.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasSibling/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasSibling](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-sibling.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view has given sibling  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasTag/#kotlin.String/PointingToDeclaration/"></a>[hasTag](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-tag.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/hasTag/#kotlin.String/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [hasTag](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/has-tag.md)(tag: [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html))  <br>More info  <br>Checks if the view has given tag  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/inRoot/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.RootBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[inRoot](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/in-root.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/inRoot/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.RootBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [inRoot](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/in-root.md)(function: [RootBuilder](../../io.github.kakaocup.kakao.common.builders/-root-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Check if the view is in given root  <br><br><br>|
| <a name="io.github.kakaocup.kakao.intercept/Interceptable/intercept/#kotlin.Function1[io.github.kakaocup.kakao.intercept.Interceptor.Builder[androidx.test.espresso.ViewInteraction,androidx.test.espresso.ViewAssertion,androidx.test.espresso.ViewAction],kotlin.Unit]/PointingToDeclaration/"></a>[intercept](../../io.github.kakaocup.kakao.toolbar/-k-toolbar/index.md#1839702922%2FFunctions%2F34310170)| <a name="io.github.kakaocup.kakao.intercept/Interceptable/intercept/#kotlin.Function1[io.github.kakaocup.kakao.intercept.Interceptor.Builder[androidx.test.espresso.ViewInteraction,androidx.test.espresso.ViewAssertion,androidx.test.espresso.ViewAction],kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [intercept](../../io.github.kakaocup.kakao.toolbar/-k-toolbar/index.md#1839702922%2FFunctions%2F34310170)(builder: [Interceptor.Builder](../../io.github.kakaocup.kakao.intercept/-interceptor/-builder/index.md)<ViewInteraction, ViewAssertion, ViewAction>.() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Sets the interceptors for the instance.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/invoke/#kotlin.Function1[TypeParam(bounds=[kotlin.Any?]),kotlin.Unit]/PointingToDeclaration/"></a>[invoke](invoke.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/invoke/#kotlin.Function1[TypeParam(bounds=[kotlin.Any?]),kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>operator fun [invoke](invoke.md)(function: [T](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Operator that allows usage of DSL style  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isClickable/#/PointingToDeclaration/"></a>[isClickable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-clickable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isClickable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isClickable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-clickable.md)()  <br>More info  <br>Checks if the view is clickable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyAbove/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyAbove](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-above.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyAbove/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyAbove](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-above.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely above of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyBelow/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyBelow](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-below.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyBelow/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyBelow](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-below.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely below of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyDisplayed/#/PointingToDeclaration/"></a>[isCompletelyDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-displayed.md)()  <br>More info  <br>Checks if the view is completely displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyLeftOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyLeftOf](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-left-of.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyLeftOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyLeftOf](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-left-of.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely right of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyRightOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[isCompletelyRightOf](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-right-of.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isCompletelyRightOf/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isCompletelyRightOf](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-completely-right-of.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Checks if the view displayed is completely right of the view matching the given matcher.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisabled/#/PointingToDeclaration/"></a>[isDisabled](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-disabled.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisabled/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isDisabled](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-disabled.md)()  <br>More info  <br>Checks if the view is disabled  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisplayed/#/PointingToDeclaration/"></a>[isDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-displayed.md)()  <br>More info  <br>Checks if the view is displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isEnabled/#/PointingToDeclaration/"></a>[isEnabled](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-enabled.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isEnabled/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isEnabled](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-enabled.md)()  <br>More info  <br>Checks if the view is enabled  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocusable/#/PointingToDeclaration/"></a>[isFocusable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-focusable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocusable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isFocusable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-focusable.md)()  <br>More info  <br>Checks if the view is focusable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocused/#/PointingToDeclaration/"></a>[isFocused](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-focused.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isFocused/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isFocused](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-focused.md)()  <br>More info  <br>Checks if the view is focused  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isGone/#/PointingToDeclaration/"></a>[isGone](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-gone.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isGone/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isGone](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-gone.md)()  <br>More info  <br>Checks if the view has GONE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isInvisible/#/PointingToDeclaration/"></a>[isInvisible](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-invisible.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isInvisible/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isInvisible](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-invisible.md)()  <br>More info  <br>Checks if the view has INVISIBLE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotClickable/#/PointingToDeclaration/"></a>[isNotClickable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-clickable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotClickable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotClickable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-clickable.md)()  <br>More info  <br>Checks if the view is not clickable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotCompletelyDisplayed/#/PointingToDeclaration/"></a>[isNotCompletelyDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-completely-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotCompletelyDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotCompletelyDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-completely-displayed.md)()  <br>More info  <br>Checks if the view is not completely displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotDisplayed/#/PointingToDeclaration/"></a>[isNotDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-displayed.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotDisplayed/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotDisplayed](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-displayed.md)()  <br>More info  <br>Checks if the view is not displayed  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocusable/#/PointingToDeclaration/"></a>[isNotFocusable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-focusable.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocusable/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotFocusable](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-focusable.md)()  <br>More info  <br>Checks if the view is not focusable  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocused/#/PointingToDeclaration/"></a>[isNotFocused](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-focused.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotFocused/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotFocused](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-focused.md)()  <br>More info  <br>Checks if the view is not focused  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotSelected/#/PointingToDeclaration/"></a>[isNotSelected](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-selected.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isNotSelected/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isNotSelected](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-not-selected.md)()  <br>More info  <br>Checks if the view is not selected  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isSelected/#/PointingToDeclaration/"></a>[isSelected](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-selected.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isSelected/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isSelected](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-selected.md)()  <br>More info  <br>Checks if the view is selected  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isVisible/#/PointingToDeclaration/"></a>[isVisible](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-visible.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/isVisible/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [isVisible](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/is-visible.md)()  <br>More info  <br>Checks if the view has VISIBLE visibility  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/longClick/#androidx.test.espresso.action.GeneralLocation/PointingToDeclaration/"></a>[longClick](../../io.github.kakaocup.kakao.common.actions/-base-actions/long-click.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/longClick/#androidx.test.espresso.action.GeneralLocation/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [longClick](../../io.github.kakaocup.kakao.common.actions/-base-actions/long-click.md)(location: GeneralLocation = GeneralLocation.VISIBLE_CENTER)  <br>More info  <br>Performs long click on view  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/matches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[matches](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/matches.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/matches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [matches](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/matches.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Check if the view matches given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/notMatches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[notMatches](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/not-matches.md)| <a name="io.github.kakaocup.kakao.common.assertions/BaseAssertions/notMatches/#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [notMatches](../../io.github.kakaocup.kakao.common.assertions/-base-assertions/not-matches.md)(function: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Check if the view does not match given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/onFailure/#kotlin.Function2[kotlin.Throwable,org.hamcrest.Matcher[android.view.View],kotlin.Unit]/PointingToDeclaration/"></a>[onFailure](../../io.github.kakaocup.kakao.common.actions/-base-actions/on-failure.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/onFailure/#kotlin.Function2[kotlin.Throwable,org.hamcrest.Matcher[android.view.View],kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [onFailure](../../io.github.kakaocup.kakao.common.actions/-base-actions/on-failure.md)(function: (error: [Throwable](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html), matcher: Matcher<[View](https://developer.android.com/reference/kotlin/android/view/View.html)>) -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Adds failure handler to the view  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/perform/#kotlin.Function1[TypeParam(bounds=[kotlin.Any?]),kotlin.Unit]/PointingToDeclaration/"></a>[perform](perform.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/perform/#kotlin.Function1[TypeParam(bounds=[kotlin.Any?]),kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>infix fun [perform](perform.md)(function: [T](index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)): [T](index.md)  <br>More info  <br>Infix function for invoking lambda on your viewSometimes instance of view is a result of a function or constructor.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/pressImeAction/#/PointingToDeclaration/"></a>[pressImeAction](../../io.github.kakaocup.kakao.common.actions/-base-actions/press-ime-action.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/pressImeAction/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [pressImeAction](../../io.github.kakaocup.kakao.common.actions/-base-actions/press-ime-action.md)()  <br>More info  <br>Presses IME action, if supported view is in focus  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/repeatUntil/#kotlin.Int#kotlin.Function0[androidx.test.espresso.ViewAction]#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[repeatUntil](../../io.github.kakaocup.kakao.common.actions/-base-actions/repeat-until.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/repeatUntil/#kotlin.Int#kotlin.Function0[androidx.test.espresso.ViewAction]#kotlin.Function1[io.github.kakaocup.kakao.common.builders.ViewBuilder,kotlin.Unit]/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [repeatUntil](../../io.github.kakaocup.kakao.common.actions/-base-actions/repeat-until.md)(maxAttempts: [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) = 1, action: () -> ViewAction, matcher: [ViewBuilder](../../io.github.kakaocup.kakao.common.builders/-view-builder/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br>More info  <br>Repeats given action on the view until this view will match the given matcher  <br><br><br>|
| <a name="io.github.kakaocup.kakao.intercept/Interceptable/reset/#/PointingToDeclaration/"></a>[reset](../../io.github.kakaocup.kakao.intercept/-interceptable/reset.md)| <a name="io.github.kakaocup.kakao.intercept/Interceptable/reset/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [reset](../../io.github.kakaocup.kakao.intercept/-interceptable/reset.md)()  <br>More info  <br>Removes the interceptors from the instance.  <br><br><br>|
| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/scrollTo/#/PointingToDeclaration/"></a>[scrollTo](../../io.github.kakaocup.kakao.common.actions/-base-actions/scroll-to.md)| <a name="io.github.kakaocup.kakao.common.actions/BaseActions/scrollTo/#/PointingToDeclaration/"></a>[androidJvm]  <br>Content  <br>open fun [scrollTo](../../io.github.kakaocup.kakao.common.actions/-base-actions/scroll-to.md)()  <br>More info  <br>Scrolls to the view, if possible  <br><br><br>|


## Properties  
  
|  Name |  Summary | 
|---|---|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/root/#/PointingToDeclaration/"></a>[root](root.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/root/#/PointingToDeclaration/"></a> [androidJvm] open override var [root](root.md): Matcher<Root>   <br>|
| <a name="io.github.kakaocup.kakao.common.views/KBaseView/view/#/PointingToDeclaration/"></a>[view](view.md)| <a name="io.github.kakaocup.kakao.common.views/KBaseView/view/#/PointingToDeclaration/"></a> [androidJvm] open override val [view](view.md): [ViewInteractionDelegate](../../io.github.kakaocup.kakao.delegate/-view-interaction-delegate/index.md)   <br>|


## Inheritors  
  
|  Name | 
|---|
| <a name="io.github.kakaocup.kakao.bottomnav/KBottomNavigationView///PointingToDeclaration/"></a>[KBottomNavigationView](../../io.github.kakaocup.kakao.bottomnav/-k-bottom-navigation-view/index.md)|
| <a name="io.github.kakaocup.kakao.check/KCheckBox///PointingToDeclaration/"></a>[KCheckBox](../../io.github.kakaocup.kakao.check/-k-check-box/index.md)|
| <a name="io.github.kakaocup.kakao.chipgroup/KChipGroup///PointingToDeclaration/"></a>[KChipGroup](../../io.github.kakaocup.kakao.chipgroup/-k-chip-group/index.md)|
| <a name="io.github.kakaocup.kakao.common.views/KSwipeView///PointingToDeclaration/"></a>[KSwipeView](../-k-swipe-view/index.md)|
| <a name="io.github.kakaocup.kakao.common.views/KView///PointingToDeclaration/"></a>[KView](../-k-view/index.md)|
| <a name="io.github.kakaocup.kakao.dialog/KAlertDialog///PointingToDeclaration/"></a>[KAlertDialog](../../io.github.kakaocup.kakao.dialog/-k-alert-dialog/index.md)|
| <a name="io.github.kakaocup.kakao.drawer/KDrawerView///PointingToDeclaration/"></a>[KDrawerView](../../io.github.kakaocup.kakao.drawer/-k-drawer-view/index.md)|
| <a name="io.github.kakaocup.kakao.edit/KEditText///PointingToDeclaration/"></a>[KEditText](../../io.github.kakaocup.kakao.edit/-k-edit-text/index.md)|
| <a name="io.github.kakaocup.kakao.edit/KTextInputLayout///PointingToDeclaration/"></a>[KTextInputLayout](../../io.github.kakaocup.kakao.edit/-k-text-input-layout/index.md)|
| <a name="io.github.kakaocup.kakao.image/KImageView///PointingToDeclaration/"></a>[KImageView](../../io.github.kakaocup.kakao.image/-k-image-view/index.md)|
| <a name="io.github.kakaocup.kakao.navigation/KNavigationView///PointingToDeclaration/"></a>[KNavigationView](../../io.github.kakaocup.kakao.navigation/-k-navigation-view/index.md)|
| <a name="io.github.kakaocup.kakao.pager/KViewPager///PointingToDeclaration/"></a>[KViewPager](../../io.github.kakaocup.kakao.pager/-k-view-pager/index.md)|
| <a name="io.github.kakaocup.kakao.picker.date/KDatePicker///PointingToDeclaration/"></a>[KDatePicker](../../io.github.kakaocup.kakao.picker.date/-k-date-picker/index.md)|
| <a name="io.github.kakaocup.kakao.picker.date/KDatePickerDialog///PointingToDeclaration/"></a>[KDatePickerDialog](../../io.github.kakaocup.kakao.picker.date/-k-date-picker-dialog/index.md)|
| <a name="io.github.kakaocup.kakao.picker.time/KTimePicker///PointingToDeclaration/"></a>[KTimePicker](../../io.github.kakaocup.kakao.picker.time/-k-time-picker/index.md)|
| <a name="io.github.kakaocup.kakao.picker.time/KTimePickerDialog///PointingToDeclaration/"></a>[KTimePickerDialog](../../io.github.kakaocup.kakao.picker.time/-k-time-picker-dialog/index.md)|
| <a name="io.github.kakaocup.kakao.progress/KProgressBar///PointingToDeclaration/"></a>[KProgressBar](../../io.github.kakaocup.kakao.progress/-k-progress-bar/index.md)|
| <a name="io.github.kakaocup.kakao.progress/KSeekBar///PointingToDeclaration/"></a>[KSeekBar](../../io.github.kakaocup.kakao.progress/-k-seek-bar/index.md)|
| <a name="io.github.kakaocup.kakao.rating/KRatingBar///PointingToDeclaration/"></a>[KRatingBar](../../io.github.kakaocup.kakao.rating/-k-rating-bar/index.md)|
| <a name="io.github.kakaocup.kakao.scroll/KScrollView///PointingToDeclaration/"></a>[KScrollView](../../io.github.kakaocup.kakao.scroll/-k-scroll-view/index.md)|
| <a name="io.github.kakaocup.kakao.searchview/KSearchView///PointingToDeclaration/"></a>[KSearchView](../../io.github.kakaocup.kakao.searchview/-k-search-view/index.md)|
| <a name="io.github.kakaocup.kakao.slider/KSlider///PointingToDeclaration/"></a>[KSlider](../../io.github.kakaocup.kakao.slider/-k-slider/index.md)|
| <a name="io.github.kakaocup.kakao.swiperefresh/KSwipeRefreshLayout///PointingToDeclaration/"></a>[KSwipeRefreshLayout](../../io.github.kakaocup.kakao.swiperefresh/-k-swipe-refresh-layout/index.md)|
| <a name="io.github.kakaocup.kakao.switch/KSwitch///PointingToDeclaration/"></a>[KSwitch](../../io.github.kakaocup.kakao.switch/-k-switch/index.md)|
| <a name="io.github.kakaocup.kakao.tabs/KTabLayout///PointingToDeclaration/"></a>[KTabLayout](../../io.github.kakaocup.kakao.tabs/-k-tab-layout/index.md)|
| <a name="io.github.kakaocup.kakao.text/KButton///PointingToDeclaration/"></a>[KButton](../../io.github.kakaocup.kakao.text/-k-button/index.md)|
| <a name="io.github.kakaocup.kakao.text/KSnackbar///PointingToDeclaration/"></a>[KSnackbar](../../io.github.kakaocup.kakao.text/-k-snackbar/index.md)|
| <a name="io.github.kakaocup.kakao.text/KTextView///PointingToDeclaration/"></a>[KTextView](../../io.github.kakaocup.kakao.text/-k-text-view/index.md)|
| <a name="io.github.kakaocup.kakao.toolbar/KToolbar///PointingToDeclaration/"></a>[KToolbar](../../io.github.kakaocup.kakao.toolbar/-k-toolbar/index.md)|

